# Remote_Name_Space.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/Name_Proxy.h"`
`#include "ace/Name_Space.h"`

Include dependency graph for Remote_Name_Space.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Remote_Name_Space
| Maintaining accesses Remote Name Server Database. Allows to add NameBindings, change them, remove them and resolve NameBindings. More...

## Typedefs

typedef ACE_Unbounded_Set< ACE_NS_WString > | ACE_WSTRING_SET

## Detailed Description

Id
  Remote_Name_Space.h,v 4.20 2005/10/28 16:14:55 ossama Exp

Author:
  Prashant Jain

## Typedef Documentation

typedef ACE_Unbounded_Set<ACE_NS_WString> ACE_WSTRING_SET